Package org.hyperledger.besu.plugin.services
package org.hyperledger.besu.plugin.services
-
InterfacesClassDescriptionAll services that can be resolved via
ServiceManager.getService(Class)must implementBesuServiceA service that plugins can use to add CLI options and commands to the BesuCommand.An interface for creating various Metrics components.This service allows plugins to register a Security Module, which is abstraction of cryptographic operations that defer to specific provider (e.g.This service allows plugins to decide who you should connect to and what you should send them.Generally useful configuration provided by Besu.This service allows plugins to register as an available storage engine.Service for transaction pool validation: plugins register aPluginTransactionPoolValidatorFactoryhere, and the transaction pool callsTransactionPoolValidatorService.createTransactionValidator()to obtain the validator it consults before adding a transaction to the pool.This service lets plugins provide custom implementations for Besu's built-in health check endpoints.Functional interface for health check providers.Result of a health check evaluation, including optional diagnostic details.Functional interface for accessing query parameters.This service allows you to add functions exposed via RPC endpoints.A service for reading the blockchain: blocks, headers, receipts, transactions, the chain id and fork identity.A service interface for registering observers for trie log events.A service that plugin can use to access world stateThe Block import tracer provider.This class is a service that simulates the processing of a blockThe Trace service interfaceTransaction simulation service interfaceEnumeration of simulation parameters that control validation behavior during transaction simulation.Transaction selection service interfaceThis service allows plugins to attach to various events during the normal operation of Besu.The interface defining bad block listenersThe listener interface for receiving new block added events.The listener interface for receiving new block propagated events.The listener interface for receiving new block reorg events.The interface Initial sync completion listener.The listener interface for receiving log events.The listener interface for receiving sync status events.The listener interface for receiving new transaction added events.The listener interface for receiving transaction dropped events.The interface TTD reached listener.Deprecated, for removal: This API element is subject to removal in a future version.This type is scheduled for removal from the plugin API in a future release, with no replacement.Service to add additional transaction validation rules